openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/IQAPI_READ_QUERY_HEADER:
    post:
      tags:
      - IQAPI_CATALOG
      operationId: /rfc/IQAPI_READ_QUERY_HEADER
      requestBody:
        content:
          application/json:
            schema:
              properties:
                QUERY:
                  type: string
                  maxLength: 30
                  description: 'InfoSet Query: Query Name'
              required:
              - QUERY
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  HEADER:
                    type: object
                    properties:
                      QNAME:
                        type: string
                        maxLength: 30
                        description: 'InfoSet Query: Query Name'
                      OLDQNAME:
                        type: string
                        maxLength: 14
                        description: 'SAP Query (S): Query name'
                      OLDUNAME:
                        type: string
                        maxLength: 12
                        description: 'SAP Query (S): Name of a user group'
                      OLDWS:
                        type: string
                        maxLength: 1
                        description: 'SAP Query (S): Work Area ID'
                      LTYPE:
                        type: string
                        maxLength: 5
                        description: 'InfoSet Query: Query List Type  enumValues: RANK=Ranked List,BASIC=Basic List,STAT=Statistics'
                        enum:
                        - RANK
                        - BASIC
                        - STAT
                      STRUC:
                        type: string
                        maxLength: 30
                        description: Table Name
                      STDFILTER:
                        type: string
                        maxLength: 14
                        description: 'ABAP: Name of variant (without program name)'
                      ISNAME:
                        type: string
                        maxLength: 30
                        description: 'InfoSet Query: InfoSet Name'
                      OLDQ:
                        type: string
                        maxLength: 1
                        description: 'InfoSet Query: Boolean Value  enumValues: X=True,""=False'
                        enum:
                        - X
                        - ''
                      OLDDEVC:
                        type: string
                        maxLength: 30
                        description: Package
                      OLDISNAME:
                        type: string
                        maxLength: 24
                        description: 'SAP Query (S): InfoSet'
                      AUTHOR:
                        type: string
                        maxLength: 12
                        description: User Name
                      CRDATE:
                        type: string
                        format: date
                        description: Current Date of Application Server
                      CRTIME:
                        type: string
                        maxLength: 6
                        description: Current Time of Application Server
                      CHANGEDBY:
                        type: string
                        maxLength: 12
                        description: User Name
                      CHDATE:
                        type: string
                        format: date
                        description: Current Date of Application Server
                      CHTIME:
                        type: string
                        maxLength: 6
                        description: Current Time of Application Server
                      RANKPOS:
                        type: string
                        maxLength: 3
                        description: 'SAP Query (S): Line number in ranked list'
                      QTEXT:
                        type: string
                        maxLength: 60
                        description: 'InfoSet Query: Long Text for Objects'
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
